import numpy as np

MIN_LINE_WIDTH = 0.1
MAX_CONTRAST = 275.0
LINE_WIDTH_COMPENSATION = 1.05
MAX_ANGLE_DIFFERENCE = np.pi / 6.0
PIXEL_BOUNDARY = 0.6

dirtab = np.array([[[1, 0], [1, -1], [1, 1]], [[1, 1], [1, 0], [0, 1]],
                       [[0, 1], [1, 1], [-1, 1]], [[-1, 1], [0, 1], [-1, 0]],
                       [[-1, 0], [-1, 1], [-1, -1]], [[-1, -1], [-1, 0], [0, -1]],
                       [[0, -1], [-1, -1], [1, -1]], [[1, -1], [0, -1], [1, 0]]])

cleartab = np.array([[[0, 1], [0, -1]], [[-1, 1], [1, -1]],
                     [[-1, 0], [1, 0]], [[-1, -1], [1, 1]],
                     [[0, -1], [0, 1]], [[1, -1], [-1, 1]],
                     [[1, 0], [-1, 0]], [[1, 1], [-1, -1]]])

kernel_r = np.array([[-1, -1, -1],
                     [0, 0, 0],
                     [1, 1, 1]]) / 6.0

kernel_c = np.array([[-1, 0, 1],
                     [-1, 0, 1],
                     [-1, 0, 1]]) / 6.0

kernel_d = np.array([[-1, 2, -1],
                     [2, 5, 2],
                     [-1, 2, -1]]) / 9.0

kernel_cc = np.array([[1, -2, 1],
                      [1, -2, 1],
                      [1, -2, 1]]) / 6.0

kernel_rc = np.array([[1, 0, -1],
                      [0, 0, 0],
                      [-1, 0, 1]]) / 4.0

kernel_rr = np.array([[1, 1, 1],
                      [-2, -2, -2],
                      [1, 1, 1]]) / 6.0